# POST /cogvideox/v4/async-results

**Method**: `POST`
**Endpoint**: `/cogvideox/v4/async-results`

## Request Parameters

### Header Parameters

```text
Content-Type
string
Optional
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
object
Example
{
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/cogvideox/v4/async-results' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "model": "cogvideox",
    "request_id": "8875817957674828620",
    "task_status": "SUCCESS",
    "video_result": [
        {
            "cover_image_url": "https://sfile.chatglm.cn/testpath/video_cover/0e89d8bf-ded0-5b77-b673-fd264fad9c9d_cover_0.png",
            "url": "https://sfile.chatglm.cn/testpath/video/0e89d8bf-ded0-5b77-b673-fd264fad9c9d_0.mp4"
        }
    ]
}
```
